Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class EffectsList

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.AtomContainer
                        |
                        +--quicktime.std.movies.EffectsList

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickTimeVRLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class EffectsList
extends AtomContainer
implements quicktime.jdirect.QuickTimeLib

This class creates an AtomContainer that contains the necessary information for displaying a list of effects

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.QuickTimeVRLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`EffectsList(int minSources, int maxSources, int getOptions)` Create an effects list from the supplied parameters.

Methods inherited from class quicktime.std.movies.AtomContainer
`copyAtom, copyAtomDataToArray, copyAtomDataToHandle, copyAtomDataToPtr, countChildrenOfType, findChildByID_Atom, findChildByID_index, findChildByIndex_Atom, findChildByIndex_id, fromCompressionDialog, fromGraphicsExporter, fromGraphicsExporterCompressor, fromGraphicsExporterMIME, fromGraphicsImporterExportImage, fromGraphicsImporterExportSettings, fromGraphicsImporterMIME, fromMediaInput, fromMediaProperty, fromMovieExporter, fromMovieImporterMIME, fromMovieImporterSettings, fromQTHandle, fromQTVRInstanceNode, fromQTVRInstanceWorld, fromThreeDMediaHandlerObject, fromThreeDMediaHandlerRenderer, getAtomData, getAtomDataSize, getAtomID, getAtomType, getNextChildType, getParent, insertChild, insertChild, insertChild, insertChild, insertChild, insertChild, insertChild, insertChild, insertChildren, iTextAddString, iTextGetString, iTextRemoveString, nextChildAnyType, removeAtom, removeChildren, replaceAtom, setAtomData, setAtomData, setAtomData, setAtomData, setAtomData, setAtomData, setAtomData, setAtomID, swapAtoms`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, toString, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EffectsList

    public EffectsList(int minSources,
                       int maxSources,
                       int getOptions)
                throws StdQTException

  Create an effects list from the supplied parameters.
  QuickTime::QTNewAtomContainer

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD